[package]
name = "letterbox-web"
description = "Web frontend for letterbox"
authors.workspace = true
edition.workspace = true
license.workspace = true
publish.workspace = true
repository.workspace = true
version.workspace = true

[build-dependencies]
build-info-build = "0.0.40"

[dev-dependencies]
wasm-bindgen-test = "0.3.50"

[dependencies]
console_error_panic_hook = "0.1.7"
log = "0.4.27"
seed = { version = "0.10.0", features = ["routing"] }
#seed = "0.9.2"
console_log = { version = "0.1.4", registry = "xinu" }
serde = { version = "1.0.219", features = ["derive"] }
itertools = "0.14.0"
serde_json = { version = "1.0.140", features = ["unbounded_depth"] }
chrono = "0.4.40"
graphql_client = "0.14.0"
thiserror = "2.0.12"
gloo-net = { version = "0.6.0", features = ["json", "serde_json"] }
human_format = "1.1.0"
build-info = "0.0.40"
wasm-bindgen = "=0.2.100"
uuid = { version = "1.16.0", features = [
  "js",
] } # direct dep to set js feature, prevents Rng issues
letterbox-shared = { version = "0.17.9", registry = "xinu" }
seed_hooks = { version = "0.4.1", registry = "xinu" }
strum_macros = "0.27.1"
gloo-console = "0.3.0"
[target.'cfg(target_arch = "wasm32")'.dependencies]
wasm-sockets = "1.0.0"

[package.metadata.wasm-pack.profile.release]
wasm-opt = ['-Os']

[dependencies.web-sys]
version = "0.3.77"
features = [
  "Clipboard",
  "DomRect",
  "Element",
  "History",
  "MediaQueryList",
  "Navigator",
  "Performance",
  "ScrollRestoration",
  "Window",
]
